summaryrefslogtreecommitdiffstats
path: root/fluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run
diff options
context:
space:
mode:
Diffstat (limited to 'fluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run')
-rwxr-xr-xfluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run27
1 files changed, 27 insertions, 0 deletions
diff --git a/fluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run b/fluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run
new file mode 100755
index 000000000..369c43da5
--- /dev/null
+++ b/fluent-bit/lib/jansson-e23f558/test/suites/invalid-unicode/run
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (c) 2009-2016 Petri Lehtinen <petri@digip.org>
+#
+# Jansson is free software; you can redistribute it and/or modify
+# it under the terms of the MIT license. See LICENSE for details.
+
+is_test() {
+ test -d $test_path
+}
+
+run_test() {
+ $json_process --env <$test_path/input >$test_log/stdout 2>$test_log/stderr
+ valgrind_check $test_log/stderr || return 1
+ cmp -s $test_path/error $test_log/stderr
+}
+
+show_error() {
+ valgrind_show_error && return
+
+ echo "EXPECTED ERROR:"
+ nl -bn $test_path/error
+ echo "ACTUAL ERROR:"
+ nl -bn $test_log/stderr
+}
+
+. $top_srcdir/test/scripts/run-tests.sh